Subject: Re: linux-next: manual merge of the iommu tree with Linus' tree

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 30 Jan 2023 14:00:11 -0400

On Mon, Jan 30, 2023 at 10:55:49AM -0700, Alex Williamson wrote:
> On Mon, 30 Jan 2023 09:49:16 +0100
> Joerg Roedel <[email-masked]> wrote:
> 
> > Thanks for the report, Stephen.
> > 
> > Alex,
> > 
> > On Fri, Jan 27, 2023 at 02:13:30PM +1100, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > Today's linux-next merge of the iommu tree got a conflict in:
> > > 
> > >   drivers/vfio/vfio_iommu_type1.c
> > > 
> > > between commit:
> > > 
> > >   895c0747f726 ("vfio/type1: Respect IOMMU reserved regions in vfio_test_domain_fgsp()")
> > > 
> > > from Linus' tree and commit:
> > > 
> > >   1369459b2e21 ("iommu: Add a gfp parameter to iommu_map()")
> > > 
> > > from the iommu tree.  
> > 
> > In case you want to fix this up in your tree, the patch-set causing this
> > is in a separate branch in the IOMMU tree which you can merge into your
> > tree:
> > 
> > 	git://git.kernel.org/pub/scm/linux/kernel/git/joro/iommu.git iommu-memory-accounting
> 
> Hi Joerg,
> 
> The conflict is with mainline, not my next branch.  The commit above
> went in as a fix for v6.2.  Thanks,

I usually sort out conflicts against the rc series when I send a PR, I
pulled Joerg's branch so I can deal with these conflicts, they are
trivial enough

There will be another -rc conflict from rdma as well:

https://lore.kernel.org/r/[email-masked]

Jason